diff --git a/PKGBUILD b/PKGBUILD
index fb8fb5f..9394d11 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -3,18 +3,18 @@
# Contributor: Heeru Kiyura <M8R-p9i5nh@mailinator.com>
pkgname=conkeror-git
-pkgver=20120210
+pkgver=20120718
pkgrel=1
-pkgdesc="A highly programmable web browser based on Mozilla XULRunner."
-arch=('any')
+pkgdesc="A highly programmable web browser based on Mozilla Firefox."
+arch=('i686' 'x86_64')
url="http://conkeror.mozdev.org/"
license=('MPL' 'GPL' 'LGPL')
-depends=('xulrunner' 'desktop-file-utils')
+depends=('firefox' 'desktop-file-utils')
makedepends=('git' 'imagemagick')
provides=(conkeror)
source=(conkeror_gimpfile.xpm conkeror.sh)
md5sums=('b592582a5b923db1707615564a95737f'
- '11c6c76a2639254754b34a542f1965a1')
+ '67d37ad07a27bc95b05fd4ad40775c19')
changelog=ChangeLog
install=conkeror-git.install
diff --git a/conkeror.sh b/conkeror.sh
index 9637205..38e135f 100644
--- a/conkeror.sh
+++ b/conkeror.sh
@@ -1,2 +1,7 @@
-#!/bin/sh
-exec xulrunner /usr/share/conkeror/application.ini "$@"
+#!/bin/bash
+# Wrapper script for conkeror
+
+xr=$(type -p firefox)
+[[ -n ${xr} ]] && exec "${xr}" -app /usr/share/conkeror/application.ini "$@"
+echo "$0: firefox required, but not found." >&2
+exit 1